Bug 1044163 - updates to ruv entry are written to retro changelog
Summary: updates to ruv entry are written to retro changelog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-17 21:35 UTC by Nathan Kinder
Modified: 2015-03-05 09:32 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:32:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Nathan Kinder 2013-12-17 21:35:56 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47502

If Replication is enabled and the reto changelog is enabled then lots of entries in the RCL are seen for RUV updates.

- they should not be logged
- thaey are logged with an inccorrect target dn, not the Tombstone entry, but the suffix node

Comment 3 Ludwig 2014-10-23 14:54:37 UTC
enable replication and the retro changelog,
Apply updates and do serach the retro changelog "cn=changelog", there should be no changes for the tombstone ruv

Comment 4 Viktor Ashirov 2015-01-27 16:16:09 UTC
$ rpm -qa | grep 389
389-ds-base-1.3.3.1-12.el7.x86_64
389-ds-base-debuginfo-1.3.3.1-12.el7.x86_64
389-ds-base-libs-1.3.3.1-12.el7.x86_64

[0] Setup MMR
[1] Enable retro changelog plugin:
$ ldapmodify -D "cn=Directory Manager" -w Secret123 -H ldap://localhost:1189 -a << EOF
dn: cn=Retro Changelog Plugin,cn=plugins,cn=config
changetype: modify
replace: nsslapd-pluginEnabled
nsslapd-pluginEnabled: on
EOF
modifying entry "cn=Retro Changelog Plugin,cn=plugins,cn=config"

[2] Restart the server
$ sudo systemctl restart dirsrv.target

[3] Add and delete 500 entries
[4] Look for nsds50ruv in cn=changelog:
On the affected version:
$ ldapsearch -D "cn=Directory Manager" -w Secret123 -H ldap://localhost:1189 -b "cn=changelog" -LLL -o ldif-wrap=no '(&(changes=*)(changeType=modify))' changes | un64ldif | grep nsds50ruv | wc -l
52
On the fixed version:
$ ldapsearch -D "cn=Directory Manager" -w Secret123 -H ldap://localhost:1189 -b "cn=changelog" -LLL -o ldif-wrap=no '(&(changes=*)(changeType=modify))' changes | un64ldif | grep nsds50ruv | wc -l
0

where un64ldif:
un64ldif () {
 while read l; do
  echo $l | grep '^\([^:]\+: \|$\)' || \
   echo "${l%%:: *}: $(base64 -d <<<${l#*:: })"
 done
 return 0
}

Marking as VERIFIED.

Comment 6 errata-xmlrpc 2015-03-05 09:32:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.